Bug 3022 - Cannot upgrade to 6.0 from local disk
Cannot upgrade to 6.0 from local disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-24 22:06 EDT by rbrown
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-25 09:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rbrown 1999-05-24 22:06:49 EDT
I DL'ed RH 6.0.  My RH 5.2 setup had
/dev/hda5 as /
/dev/hda7 as /u1
and the RH6.0 directory was /u1/public/ul/redhat-6.0/i386.
I first used this directory to successfully NFS-install
a 2nd machine on my home lan.

When I attempted to use this directory to install on the
machine which contains those files (i.e. a local install,
not over NFS), the following stuff happened:
it found the directory & ran the 2nd stage install OK.
it found the packages and asked me if I wanted to confirm
the individual packages OK.
I spent a few minutes adding some packages to those which
had been automatically selected OK.
It then told me about the future /tmp/install.log OK.
(so far so good)
It then gave an error message about a symlink failure.
But crap, wouldn't you know it, I didn't write it down.
But the Alt-f3 console had some messages like:
"filesystem already mounted, making symbolic link", and
"/mnt/u1: file exists".  (not exact quotes, sorry).

Second [related] bug:
After this error occurs, all the /dev/hda* filesystems get
unmounted and any "Retry" or "Previous" or "Menu" things
I tried resulted in a "text mode popup":
"Unable to rebuild RPM database: Perhaps the disk is full?"
(again, not exact quote).

Anyway, I had to copy the entire directory to my 2nd
machine and use the NFS install diskette instead.  Good
thing I got tons of space!

Perhaps inappropriate here, but nice job all around on 6.0.

		-rb
Comment 1 Bill Nottingham 1999-05-25 09:54:59 EDT
*** This bug has been marked as a duplicate of 2504 ***

Note You need to log in before you can comment on or make changes to this bug.